# TransactionalStateOperation.OperationType (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Enum TransactionalStateOperation.OperationType

- java.lang.Object
- - java.lang.Enum<TransactionalStateOperation.OperationType>
  - - io.dapr.client.domain.TransactionalStateOperation.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionalStateOperation.OperationType>`

Enclosing class:
  TransactionalStateOperation<T>

    public static enum TransactionalStateOperation.OperationType
    extends Enum<TransactionalStateOperation.OperationType>

Options for type of operation.

### Enum Constant Summary

Enum Constants
`DELETE`
`UPSERT`

### Method Summary

All Methods Static Methods Concrete Methods
`static TransactionalStateOperation.OperationType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TransactionalStateOperation.OperationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UPSERT

    public static final TransactionalStateOperation.OperationType UPSERT

#### DELETE

    public static final TransactionalStateOperation.OperationType DELETE

### Method Detail

#### values

    public static TransactionalStateOperation.OperationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionalStateOperation.OperationType c : TransactionalStateOperation.OperationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionalStateOperation.OperationType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null